Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/QuestGUI.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/QuestGUI.layout	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/QuestGUI.layout	(revision 11793)
@@ -1,73 +1,61 @@
-<?xml version="1.0" ?>
-<GUILayout>
-    <Window Type="DefaultWindow" Name="orxonox/QuestGUI/Background">
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-
-        <Window Type="DefaultWindow" Name="orxonox/QuestGUI/MainWindow">
-            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.1,0},{0.9,0},{0.9,0}}" />
-
-            <Window Type="MenuWidgets/Titlebar" Name="orxonox/QuestGUI/Title">
-                <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{0,30}}" />
-                <Property Name="Text" Value="Your Quests"/>
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="Background" type="DefaultWindow">
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Window name="MainWindow" type="DefaultWindow">
+            <Property name="Area" value="{{0.1,0},{0.1,0},{0.9,0},{0.9,0}}" />
+            <Window name="Title" type="MenuWidgets/Titlebar">
+                <Property name="Area" value="{{0,0},{0,0},{1,0},{0,30}}" />
+                <Property name="Text" value="Your Quests" />
             </Window>
-
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/QuestGUI/MainWindow/LeftPanel">
-                <Property Name="UnifiedAreaRect" Value="{{0,0},{0,30},{0.5,0},{1,0}}" />
-
-                <Window Type="MenuWidgets/TabButton" Name="orxonox/QuestGUI/ActiveQuestsButton">
-                    <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{0.5,0},{0,30}}" />
-                    <Property Name="Text" Value="active quests"/>
-                    <Event Name="Clicked" Function="QuestGUI.showActiveQuestsButton_clicked"/>
+            <Window name="LeftPanel" type="MenuWidgets/StaticText">
+                <Property name="Area" value="{{0,0},{0,30},{0.5,0},{1,0}}" />
+                <Window name="ActiveQuestsButton" type="MenuWidgets/TabButton">
+                    <Property name="Area" value="{{0,0},{0,0},{0.5,0},{0,30}}" />
+                    <Property name="Text" value="active quests" />
+                    <Event function="QuestGUI.showActiveQuestsButton_clicked" name="Clicked" />
                 </Window>
-                <Window Type="MenuWidgets/TabButton" Name="orxonox/QuestGUI/FinishedQuestsButton">
-                    <Property Name="UnifiedAreaRect" Value="{{0.5,0},{0,0},{1,0},{0,30}}" />
-                    <Property Name="Text" Value="finished quests"/>
-                    <Event Name="Clicked" Function="QuestGUI.showFinishedQuestsButton_clicked"/>
+                <Window name="FinishedQuestsButton" type="MenuWidgets/TabButton">
+                    <Property name="Area" value="{{0.5,0},{0,0},{1,0},{0,30}}" />
+                    <Property name="Text" value="finished quests" />
+                    <Event function="QuestGUI.showFinishedQuestsButton_clicked" name="Clicked" />
                 </Window>
-
-                <Window Type="MenuWidgets/Listbox" Name="orxonox/QuestGUI/QuestsList">
-                    <Property Name="UnifiedAreaRect" Value="{{0,0},{0,30},{1,0},{1,0}}" />
-                    <Event Name="ItemSelectionChanged" Function="QuestGUI.changeQuest_clicked"/>
+                <Window name="QuestsList" type="MenuWidgets/Listbox">
+                    <Property name="Area" value="{{0,0},{0,30},{1,0},{1,0}}" />
+                    <Event function="QuestGUI.changeQuest_clicked" name="ItemSelectionChanged" />
                 </Window>
             </Window>
-
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/QuestGUI/MainWindow/RightPanel">
-                <Property Name="UnifiedAreaRect" Value="{{0.5,0},{0,30},{1,0},{1,0}}" />
-
-                <Window Type="MenuWidgets/StaticText" Name="orxonox/QuestGUI/Quest/Title">
-                    <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{0,30}}" />
-                    <Property Name="Text" Value="Quest Title"/>
+            <Window name="RightPanel" type="MenuWidgets/StaticText">
+                <Property name="Area" value="{{0.5,0},{0,30},{1,0},{1,0}}" />
+                <Window name="Title" type="MenuWidgets/StaticText">
+                    <Property name="Area" value="{{0,0},{0,0},{1,0},{0,30}}" />
+                    <Property name="Text" value="Quest Title" />
                 </Window>
-
-                <Window Type="MenuWidgets/ScrollablePane" Name="orxonox/QuestGUI/Quest/ScrollWrapper">
-                    <Property Name="UnifiedAreaRect" Value="{{0,0},{0,30},{1,-4},{1,-4}}" />
-
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/QuestGUI/Quest/Wrapper">
-                        <Property Name="UnifiedAreaRect" Value="{{0,5},{0,5},{1,-5},{0,0}}" />
-                        <Property Name="FrameEnabled" Value="false" />
-                        <Property Name="Alpha" Value="0" />
-
-                        <Window Type="MenuWidgets/StaticText" Name="orxonox/QuestGUI/Quest/Description">
-                            <Property Name="UnifiedAreaRect" Value="{{0,5},{0,0},{1,-5},{0,0}}" />
-                            <Property Name="InheritsAlpha" Value="False" />
-                            <Property Name="HorzFormatting" Value="WordWrapLeftAligned" />
-                            <Property Name="VertFormatting" Value="TopAligned" />
-                            <Property Name="FrameEnabled" Value="false" />
-                            <Property Name="Text" Value="Quest Description"/>
+                <Window name="ScrollWrapper" type="MenuWidgets/ScrollablePane">
+                    <Property name="Area" value="{{0,0},{0,30},{1,-4},{1,-4}}" />
+                    <Window name="Wrapper" type="MenuWidgets/StaticText">
+                        <Property name="Area" value="{{0,5},{0,5},{1,-5},{0,0}}" />
+                        <Property name="FrameEnabled" value="false" />
+                        <Property name="Alpha" value="0" />
+                        <Window name="Description" type="MenuWidgets/StaticText">
+                            <Property name="Area" value="{{0,5},{0,0},{1,-5},{0,0}}" />
+                            <Property name="InheritsAlpha" value="False" />
+                            <Property name="HorzFormatting" value="WordWrapLeftAligned" />
+                            <Property name="VertFormatting" value="TopAligned" />
+                            <Property name="FrameEnabled" value="false" />
+                            <Property name="Text" value="Quest Description" />
                         </Window>
-
-                        <Window Type="MenuWidgets/Listbox" Name="orxonox/QuestGUI/Quest/SubquestsList">
-                            <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-                            <Property Name="InheritsAlpha" Value="False" />
-                            <Event Name="ItemSelectionChanged" Function="QuestGUI.changeToSubquest_clicked"/>
+                        <Window name="SubquestsList" type="MenuWidgets/Listbox">
+                            <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+                            <Property name="InheritsAlpha" value="False" />
+                            <Event function="QuestGUI.changeToSubquest_clicked" name="ItemSelectionChanged" />
                         </Window>
-
-                        <Window Type="MenuWidgets/StaticText" Name="orxonox/QuestGUI/Quest/Hints">
-                            <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{0,0}}" />
-                            <Property Name="InheritsAlpha" Value="False" />
-                            <Property Name="VertFormatting" Value="TopAligned" />
-                            <Property Name="FrameEnabled" Value="false" />
-                            <Property Name="Text" Value="Hints:" />
+                        <Window name="Hints" type="MenuWidgets/StaticText">
+                            <Property name="Area" value="{{0,0},{0,0},{1,0},{0,0}}" />
+                            <Property name="InheritsAlpha" value="False" />
+                            <Property name="VertFormatting" value="TopAligned" />
+                            <Property name="FrameEnabled" value="false" />
+                            <Property name="Text" value="Hints:" />
                         </Window>
                     </Window>
